be.ehealth.businessconnector.genericasync.builders

## Class BuilderFactory

- java.lang.Object
- - be.ehealth.businessconnector.genericasync.builders.BuilderFactory

-     public final class BuilderFactory
      extends Object

  Factory for `RequestObjectBuilder` and `ResponseObjectBuilder`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROP_RESPONSEBUILDER_CLASS` Fully qualified name of the implementation class to instantiate the `ResponseObjectBuilder`.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RequestObjectBuilder` | `getRequestObjectBuilder(String serviceName)` Retrieve an instance of a `RequestObjectBuilder` implementation The implementation could be a custom class defined in the configuration file (property ).
    `static ResponseObjectBuilder` | `getResponseObjectBuilder()` Retrieves an instance of a `ResponseObjectBuilder` implementation The implementation could be a custom class defined in the configuration file (property ).

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROP_RESPONSEBUILDER_CLASS

          public static final String PROP_RESPONSEBUILDER_CLASS

      Fully qualified name of the implementation class to instantiate the `ResponseObjectBuilder`.

      Default: be.ehealth.businessconnector.genericasync.builders.impl.ResponseObjectBuilderImpl

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getRequestObjectBuilder

          public static RequestObjectBuilder getRequestObjectBuilder(String serviceName)
                                                              throws TechnicalConnectorException

      Retrieve an instance of a `RequestObjectBuilder` implementation The implementation could be a custom class defined in the configuration file (property ). By default, it would be
      Returns:
        RequestObjectBuilder
      Throws:
        `GenAsyncBusinessConnectorException`
        `TechnicalConnectorException`

    - #### getResponseObjectBuilder

          public static ResponseObjectBuilder getResponseObjectBuilder()
                                                                throws TechnicalConnectorException

      Retrieves an instance of a `ResponseObjectBuilder` implementation The implementation could be a custom class defined in the configuration file (property ). By default, it would be
      Returns:
        the instance of the `ResponseObjectBuilder`
      Throws:
        `GenAsyncBusinessConnectorException`
        `TechnicalConnectorException`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.